curl --request POST \
--url https://api.infragrid.ai/v1/runbooks \
--header "Authorization: Bearer $INFRAGRID_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"schemaVersion": 3,
"title": "Open example",
"steps": [{
"id": "open",
"kind": "primitive",
"primitive": "browser.navigate",
"input": {"url": "https://example.com"},
"instruction": "Open Example Domain.",
"surface": "browser",
"effect": "read",
"risk": "low",
"applicationScope": ["example.com"],
"completionCondition": "Example Domain is visible."
}],
"parameters": [],
"status": "draft"
}'
Runbooks (preview)
Create a Runbook
Create a reviewed draft or published programmable Runbook.
POST
/
v1
/
runbooks
curl --request POST \
--url https://api.infragrid.ai/v1/runbooks \
--header "Authorization: Bearer $INFRAGRID_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"schemaVersion": 3,
"title": "Open example",
"steps": [{
"id": "open",
"kind": "primitive",
"primitive": "browser.navigate",
"input": {"url": "https://example.com"},
"instruction": "Open Example Domain.",
"surface": "browser",
"effect": "read",
"risk": "low",
"applicationScope": ["example.com"],
"completionCondition": "Example Domain is visible."
}],
"parameters": [],
"status": "draft"
}'
Requires
runbooks:write. Returns the created Runbook.
string
Stable key for retrying the same creation request.
integer
required
Must be
3.string
required
Unique Runbook title, 1–120 characters.
RunbookStep[]
required
One to 100 primitive or agent steps.
RunbookParameter[]
required
Up to 50 validated inputs.
string
draft by default, or published after explicit review.curl --request POST \
--url https://api.infragrid.ai/v1/runbooks \
--header "Authorization: Bearer $INFRAGRID_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"schemaVersion": 3,
"title": "Open example",
"steps": [{
"id": "open",
"kind": "primitive",
"primitive": "browser.navigate",
"input": {"url": "https://example.com"},
"instruction": "Open Example Domain.",
"surface": "browser",
"effect": "read",
"risk": "low",
"applicationScope": ["example.com"],
"completionCondition": "Example Domain is visible."
}],
"parameters": [],
"status": "draft"
}'
Last modified on August 28, 2026